NEED HELP. EZdrummer EZX Expansions won't install.

Discussion in 'Software' started by Schming, Oct 31, 2019.

  1. Schming

    Schming Newbie

    Joined:
    Aug 23, 2019
    Messages:
    6
    Likes Received:
    1
    Hi. I have EZdrummer 2 2.1.6 and I can’t install any EZX expansions. When I click the installer I get the message “The application ’installer can’t be opened”. Anything else installs fine. My security is set to allow apps from anywhere. When I click on the Installer.exe it says “ You need to have the latest version of EZDrummer to install”. My version is newer than the EZX expansions. I’d appreciate some help if you can. Thanks. Mac 10.13.6 High Sierra.
     
  2.  
Loading...
Similar Threads - NEED HELP EZdrummer Forum Date
Need help with Wave dll files Software Nov 24, 2019
Need help with steinberg elic Software Nov 20, 2019
Hi guys! I need some critiques..Please Help!! Music Releases Nov 10, 2019
Confused and need some help Lounge Nov 8, 2019
Could you help with reviewing my mixing & mastering? [Vocalist needed also] Our Music Oct 15, 2019
Loading...